Subject: [Jsonpath] Comment on current draft: position

From: Daniel P <[email-masked]>
Date: Wed, 3 Mar 2021 22:52:21 -0500

The draft defines position as follows:

"A JSON data item identical to or nested within the JSON data item to
which the query is applied to, expressed either by the value of that
data item or by providing a Normalized Path Expression as a JSONPath
Output Path."

I'm struggling to understand this sentence, especially the part "A
JSON data item identical to or nested within the JSON data item to
which the query is applied to". Position would be the location of the
item and not the item itself, wouldn't it? How could position be
expressed as the "value of the data item"? Wouldn't it always be given
as a Normalized Path Expression?

Incidentally, in section 1.3, the term "normalized JSONPath
expressions" is used, I think for consistency the draft should stick
to "Normalized Path Expression".

Daniel